algorithm: VREx
criterion: Calibration
criterion_final: 0.8170639673868815
dataset: PPBR
hparams:
  lr: 0.049924769459995355
  mlp_depth: 4
  mlp_width: 512
  penalty_weight: 1.29157332523387
  penalty_weight_schedule:
  - 0
  - 25
  weight_decay: 0.0
representation: ChemBERTa
seed: 1
test_calibration_Spearman_0: 0.8853822946548462
test_calibration_Spearman_1: 0.992106556892395
test_calibration_Spearman_2: 0.7019593715667725
test_calibration_Spearman_final: 0.8853822946548462
test_extra_mae_0: 8.724381446838379
test_extra_mae_1: 54.46174240112305
test_extra_mae_2: 11.95488166809082
test_extra_mae_final: 8.724381446838379
test_extra_pearson_0: -0.16670113801956177
test_extra_pearson_1: 0.028259919956326485
test_extra_pearson_2: 0.006805548444390297
test_extra_pearson_final: -0.16670113801956177
test_extra_r2_0: -267.81036376953125
test_extra_r2_1: -5218.00390625
test_extra_r2_2: -271.47613525390625
test_extra_r2_final: -267.81036376953125
test_extra_spearman_0: -0.2035859376192093
test_extra_spearman_1: 0.022679220885038376
test_extra_spearman_2: 0.02106344886124134
test_extra_spearman_final: -0.2035859376192093
test_performance_MAE_0: 8.724381446838379
test_performance_MAE_1: 54.46174240112305
test_performance_MAE_2: 11.95488166809082
test_performance_MAE_final: 8.724381446838379
train_val_split: Scaffold
trial_seed: 8784
val_calibration_Spearman_0: 0.9329856038093567
val_calibration_Spearman_1: 0.9862579703330994
val_calibration_Spearman_2: 0.5319483280181885
val_calibration_Spearman_final: 0.9329856038093567
val_extra_mae_0: 9.110015869140625
val_extra_mae_1: 41.38811111450195
val_extra_mae_2: 8.440326690673828
val_extra_mae_final: 9.110015869140625
val_extra_pearson_0: -0.013224257156252861
val_extra_pearson_1: 0.12438056617975235
val_extra_pearson_2: -0.057633958756923676
val_extra_pearson_final: -0.013224257156252861
val_extra_r2_0: -177.2620849609375
val_extra_r2_1: -1819.6468505859375
val_extra_r2_2: -121.78726196289062
val_extra_r2_final: -177.2620849609375
val_extra_spearman_0: 0.013795322738587856
val_extra_spearman_1: 0.14823424816131592
val_extra_spearman_2: -0.016108207404613495
val_extra_spearman_final: 0.013795322738587856
val_performance_MAE_0: 9.110015869140625
val_performance_MAE_1: 41.38811111450195
val_performance_MAE_2: 8.440326690673828
val_performance_MAE_final: 9.110015869140625
